include ../makefile.dep

LIBDIR= ../lib/$(HOST)
BINDIR= ../bin/$(HOST)

INCLUDES      = -I../include

TARGETS =    profstat

all:	$(TARGETS)

LIBS1	      =  \
		$(LIBDIR)/vstat$(LIB) \
		$(LIBDIR)/vector$(LIB) \
		$(LIBDIR)/ocean$(LIB) \
		$(LIBDIR)/matlab$(LIB) \
      $(LIBDIR)/use_db$(LIB) \
		$(LIBDIR)/dbsource$(LIB) \
		$(LIBDIR)/ioserv$(LIB)

profstat   : $(BINDIR)/profstat$(EXE)
profstatOBJECTS = profstat$(OBJ) $(LIBDIR)/main_cnt$(OBJ)
$(BINDIR)/profstat$(EXE): $(profstatOBJECTS)
	$(CCLINK) -o $@ $(profstatOBJECTS) $(LIBS1) $(LDLIBS)
	$(CHMOD) $(BIN_PERMISSION) $@


clean:
	$(RM) $(DIRT)
#
